package com.ozs.service.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ozs.service.entity.MsgAlarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.service.entity.vo.AlarmStatisticVo;

import java.util.List;

/**
 * <p>
 * 报警信息表 服务类
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
public interface MsgAlarmService extends IService<MsgAlarm> {
    //web数据统计 报警数据详情
    IPage<AlarmStatisticVo> list(String railwayCode, Integer startMonth, Integer endMonth, String alarmType, Integer pageNum, Integer pageSize, String userId);

    //web数据统计 报警月统计数据
    List<AlarmStatisticVo> getCount(String railwayCode, Integer startMonth, Integer endMonth, String alarmType, String userId);
}
