package com.ozs.service.entity.vo;

import com.ozs.common.vo.PageVo;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author wyy
 * @subject
 * @creat 2023/3/6
 */
@Data
public class MsgAppPushVo extends PageVo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 报警唯一标识
     */
    private String alarmId;

    /**
     * 接收人
     */
    private String receiveBy;

    /**
     * 状态：0未读；1已读
     */
    private Integer status;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;
}
